import { Component, OnInit } from '@angular/core';
import { IGridEditEventArgs } from 'igniteui-angular';

import { DATA } from './customers';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'kb4362-app1';

  public data1: any[];
  public data2: any[];

  constructor() {}

  ngOnInit(): any{
    this.data1 = [...DATA];
    this.data2 = [...DATA];
  }

  public rowEditEnter(event: IGridEditEventArgs){
    console.log("rowEditStart");
    console.log(event);
  }

  public rowEdit(event: IGridEditEventArgs){
    console.log("rowEdit");
    console.log(event);
  }

  public cellEditEnter(event: IGridEditEventArgs){
    console.log("cellEditStart");
    console.log(event);
  }

  public cellEdit(event: IGridEditEventArgs){
    console.log("cellEdit");
    console.log(event);
  }
}
